Air Availability returns scheduled flights between a specified city pair on a specified day and time and indicates whether seats are available on those flights. Air Availability is a full payload request that focuses on seat availability by class of service. It does not return pricing information. GDS only; not supported for NDC.
Security
bearerAuth
- Mock serverhttps://developer.travelport.com/_mock/apis/flights/air/search/airAvailability
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/search/airAvailability
- https://api.travelport.net/11https://api.travelport.net/11/air/search/airAvailability
curl -i -X POST \
https://developer.travelport.com/_mock/apis/flights/air/search/airAvailability \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"@type": "CatalogProductOfferingsQueryRequest",
"CatalogProductOfferingsRequest": {
"@type": "CatalogProductOfferingsRequestAir",
"PassengerCriteria": [
{
"@type": "PassengerCriteria",
"number": 1,
"passengerTypeCode": "ADT"
}
],
"SearchCriteriaFlight": [
{
"@type": "SearchCriteriaFlight",
"departureDate": "2026-11-19",
"From": {
"value": "LAX"
},
"To": {
"value": "JNB"
}
},
{
"@type": "SearchCriteriaFlight",
"arrivalDate": "2026-12-29",
"From": {
"value": "JNB"
},
"To": {
"value": "LAX"
}
}
],
"SearchModifiersAir": {
"@type": "SearchModifiersAir",
"ConnectionPreferences": [
{
"@type": "ConnectionPreferences",
"preferenceType": "Permitted",
"legSequence": [
1
],
"ConnectionPoint": [
"AMS"
]
},
{
"@type": "ConnectionPreferences",
"preferenceType": "Prohibited",
"legSequence": [
2
],
"ConnectionPoint": [
"FRA"
]
}
]
}
}
}'Response
{ "CatalogProductOfferingsResponse": { "CatalogProductOfferings": { "@type": "CatalogProductOfferings", "id": "cpo_1", "Identifier": { … }, "CatalogProductOffering": [ … ], "UpsellOffering": [ … ] }, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ { … } ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }